<ion-header>
	<ion-toolbar class="modal-search">
		<ion-buttons class="btn-back" slot="start">
			<ion-button (click)="closeModal()">
				<ion-icon slot="icon-only" name="close"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-searchbar #searchbar [searchIcon]="false" [(ngModel)]="this.tuKhoaTimKiem" debounce="500"
			[placeholder]="'Tìm kiếm...'" (ionChange)="ionChangeSearch()"></ion-searchbar>
	</ion-toolbar>
</ion-header>
<ion-content>
	<ion-grid fixed class="ion-no-padding">
		<ion-list lines="full" class="thuonghieu-list-select" *ngIf="data">
			<ion-item *ngIf="type == 'AdminApprove'" (click)="selected(itemAdminNotApprove)" [class.active]="itemAdminNotApprove.Id == value"
				class="item-ion-select">
				<ion-label>{{itemAdminNotApprove[options.labelAttr] || lbl.noneUpdate}}</ion-label>
				<ion-radio slot="end" [checked]="itemAdminNotApprove.Id == value"></ion-radio>
			</ion-item>
			<ion-item *ngFor="let item of data" (click)="selected(item)" [class.active]="item.Id == value"
				class="item-ion-select">
				<ion-thumbnail slot="start" *ngIf="showThumbnail && item.UrlHinhDaiDien">
					<img [src]="item.UrlHinhDaiDien" />
				</ion-thumbnail>
				<ion-label>{{item[options.labelAttr] || lbl.noneUpdate}}</ion-label>
				<ion-radio slot="end" [checked]="item.Id == value"></ion-radio>
			</ion-item>
			<ion-item lines="none" class="tindang-item emptymessage" *ngIf="totalItems == 0">
				Không tìm thấy dữ liệu
			</ion-item>

		</ion-list>
		<ion-infinite-scroll *ngIf="data && data.length > 0 && data.length < totalItems"
			(ionInfinite)="doInfinite($event)">
			<ion-infinite-scroll-content></ion-infinite-scroll-content>
		</ion-infinite-scroll>
		<ion-list *ngIf="!data">
			<ion-item lines="full">
				<ion-label>
					<h2>
						<ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
					</h2>
					<p>
						<ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
					</p>
					<p>
						<ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
					</p>
				</ion-label>

				<ion-text slot="end">
					<ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
				</ion-text>
			</ion-item>
			<ion-item lines="full">
				<ion-label>
					<h2>
						<ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
					</h2>
					<p>
						<ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
					</p>
					<p>
						<ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
					</p>
				</ion-label>

				<ion-text slot="end">
					<ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
				</ion-text>
			</ion-item>
			<ion-item lines="full">
				<ion-label>
					<h2>
						<ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
					</h2>
					<p>
						<ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
					</p>
					<p>
						<ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
					</p>
				</ion-label>

				<ion-text slot="end">
					<ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
				</ion-text>
			</ion-item>
			<ion-item lines="full">
				<ion-label>
					<h2>
						<ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
					</h2>
					<p>
						<ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
					</p>
					<p>
						<ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
					</p>
				</ion-label>

				<ion-text slot="end">
					<ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
				</ion-text>
			</ion-item>




		</ion-list>
	</ion-grid>

</ion-content>